Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.classgen.asm
[Java] Class CallSiteWriter

    java.lang.Object
      org.codehaus.groovy.classgen.asm.CallSiteWriter

    public class CallSiteWriter
    extends java.lang.Object

This class represents non public API used by AsmClassGenerator. Don't use this class in your code

Authors:
  Jochen Theodorou

Field Summary
`static java.lang.String` | `CONSTRUCTOR`

Constructor Summary
`CallSiteWriter(WriterController wc)`

Method Summary
`void` | `generateCallSiteArray()`
`java.util.List` | `getCallSites()`
`void` | `makeCallSite(Expression receiver, java.lang.String message, Expression arguments, boolean safe, boolean implicitThis, boolean callCurrent, boolean callStatic)`
`void` | `makeCallSiteArrayInitializer()`
`void` | `makeGetPropertySite(Expression receiver, java.lang.String methodName, boolean safe, boolean implicitThis)`
`void` | `makeGroovyObjectGetPropertySite(Expression receiver, java.lang.String methodName, boolean safe, boolean implicitThis)`
`void` | `makeSingleArgumentCall(Expression receiver, java.lang.String message, Expression arguments)`
`void` | `makeSiteEntry()`
`void` | `prepareCallSite(java.lang.String message)`
`protected void` | `prepareSiteAndReceiver(Expression receiver, java.lang.String methodName, boolean implicitThis, boolean lhs)`
`protected void` | `visitBoxedArgument(Expression exp)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Field Detail

### CONSTRUCTOR

    public static final java.lang.String CONSTRUCTOR

Constructor Detail

### CallSiteWriter

    public CallSiteWriter(WriterController wc)

Method Detail

### generateCallSiteArray

    public void generateCallSiteArray()

### getCallSites

    public java.util.List getCallSites()

### makeCallSite

    public void makeCallSite(Expression receiver, java.lang.String message, Expression arguments, boolean safe, boolean implicitThis, boolean callCurrent, boolean callStatic)

### makeCallSiteArrayInitializer

    public void makeCallSiteArrayInitializer()

### makeGetPropertySite

    public void makeGetPropertySite(Expression receiver, java.lang.String methodName, boolean safe, boolean implicitThis)

### makeGroovyObjectGetPropertySite

    public void makeGroovyObjectGetPropertySite(Expression receiver, java.lang.String methodName, boolean safe, boolean implicitThis)

### makeSingleArgumentCall

    public void makeSingleArgumentCall(Expression receiver, java.lang.String message, Expression arguments)

### makeSiteEntry

    public void makeSiteEntry()

### prepareCallSite

    public void prepareCallSite(java.lang.String message)

### prepareSiteAndReceiver

    protected void prepareSiteAndReceiver(Expression receiver, java.lang.String methodName, boolean implicitThis, boolean lhs)

### visitBoxedArgument

    protected void visitBoxedArgument(Expression exp)

Groovy Documentation